Index: gnu/usr.bin/perl/pod/perl5403delta.pod
===================================================================
RCS file: gnu/usr.bin/perl/pod/perl5403delta.pod
diff -N gnu/usr.bin/perl/pod/perl5403delta.pod
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ gnu/usr.bin/perl/pod/perl5403delta.pod	29 Mar 2026 16:31:45 -0000
@@ -0,0 +1,125 @@
+=encoding utf8
+
+=head1 NAME
+
+perl5403delta - what is new for perl v5.40.3
+
+=head1 DESCRIPTION
+
+This document describes differences between the 5.40.2 release and the 5.40.3
+release.
+
+If you are upgrading from an earlier release such as 5.40.1, first read
+L<perl5402delta>, which describes differences between 5.40.1 and 5.40.2.
+
+=head1 Security
+
+=head2 [CVE-2025-40909] Perl threads have a working directory race condition where file operations may target unintended paths
+
+Perl thread cloning had a working directory race condition where file
+operations may target unintended paths.  Perl 5.40 will no longer chdir to each
+handle.
+
+This problem was discovered by Vincent Lefèvre via
+[L<GH #23010|https://github.com/Perl/perl5/issues/23010>] and assigned
+[L<CVE-2025-40909|https://lists.security.metacpan.org/cve-announce/msg/30017499/>]
+by the L<CPAN Security Group|https://security.metacpan.org/>.
+
+Fixes were provided via [L<GH #23019|https://github.com/Perl/perl5/pull/23019>]
+and [L<GH #23361|https://github.com/Perl/perl5/pull/23361>].
+
+=head1 Incompatible Changes
+
+There are no changes intentionally incompatible with 5.40.2.  If any exist,
+they are bugs, and we request that you submit a report.  See L</Reporting
+Bugs> below.
+
+=head1 Modules and Pragmata
+
+=head2 Updated Modules and Pragmata
+
+=over 4
+
+=item *
+
+L<Module::CoreList> has been upgraded from version 5.20250413_40 to 5.20250803_40.
+
+=back
+
+=head1 Documentation
+
+=head2 Changes to Existing Documentation
+
+We have attempted to update the documentation to reflect the changes listed in
+this document.  If you find any we have missed, open an issue at
+L<https://github.com/Perl/perl5/issues>.
+
+=head1 Testing
+
+Tests were added and changed to reflect the other additions and changes in this
+release.
+
+=head1 Acknowledgements
+
+Perl 5.40.3 represents approximately 4 months of development since Perl 5.40.2
+and contains approximately 3,400 lines of changes across 43 files from 7
+authors.
+
+Excluding auto-generated files, documentation and release tools, there were
+approximately 1,100 lines of changes to 6 .pm, .t, .c and .h files.
+
+Perl continues to flourish into its fourth decade thanks to a vibrant community
+of users and developers.  The following people are known to have contributed
+the improvements that became Perl 5.40.3:
+
+Karen Etheridge, Leon Timmermans, Lukas Mai, Philippe Bruhat (BooK), Richard
+Leach, Steve Hay, Thibault Duponchelle.
+
+The list above is almost certainly incomplete as it is automatically generated
+from version control history.  In particular, it does not include the names of
+the (very much appreciated) contributors who reported issues to the Perl bug
+tracker.
+
+Many of the changes included in this version originated in the CPAN modules
+included in Perl's core.  We're grateful to the entire CPAN community for
+helping Perl to flourish.
+
+For a more complete list of all of Perl's historical contributors, please see
+the F<AUTHORS> file in the Perl source distribution.
+
+=head1 Reporting Bugs
+
+If you find what you think is a bug, you might check the perl bug database at
+L<https://github.com/Perl/perl5/issues>.  There may also be information at
+L<https://www.perl.org/>, the Perl Home Page.
+
+If you believe you have an unreported bug, please open an issue at
+L<https://github.com/Perl/perl5/issues>.  Be sure to trim your bug down to a
+tiny but sufficient test case.
+
+If the bug you are reporting has security implications which make it
+inappropriate to send to a public issue tracker, then see
+L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION> for details of how to
+report the issue.
+
+=head1 Give Thanks
+
+If you wish to thank the Perl 5 Porters for the work we had done in Perl 5, you
+can do so by running the C<perlthanks> program:
+
+    perlthanks
+
+This will send an email to the Perl 5 Porters list with your show of thanks.
+
+=head1 SEE ALSO
+
+The F<Changes> file for an explanation of how to view exhaustive details on
+what changed.
+
+The F<INSTALL> file for how to build Perl.
+
+The F<README> file for general stuff.
+
+The F<Artistic> and F<Copying> files for copyright information.
+
+=cut
